{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
    <script type="text/javascript" async src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML"></script>
{% endblock %}


{% block barra_horizontal %}
    <li>
        <input type="submit" form="formulario_questao_lista" role="button" class="btn btn-primary botao-barra-horizontal" value="Salvar">
    </li>

{#    {% if questao_anterior %}#}
{#    <li>#}
{#        <a href="{% url 'educacao:responder_questao_da_avaliacao' questao_anterior.id avaliacao.id %}" class="btn btn-success botao-barra-horizontal">#}
{#            Questão anterior#}
{#        </a>#}
{#    </li>#}
{#    {% endif %}#}
{##}
{#    {% if proxima_questao %}#}
{#    <li>#}
{#        <a href="{% url 'educacao:responder_questao_da_avaliacao' proxima_questao.id avaliacao.id %}" class="btn btn-success botao-barra-horizontal">#}
{#            Próxima questão#}
{#        </a>#}
{#    </li>#}
{#    {% endif %}#}
{% endblock %}


{% block corpo_pagina %}
<div class="container-fluid bg-light rounded-top">

    <form id="formulario_questao_lista" method="post" enctype="multipart/form-data" class="formulario sem-asterisco">
        {% csrf_token %}
        {{ correcoes.management_form }}

        {% for questao in questoes %}

            <div class="card cartao">
                <h5 class="card-header cartao-titulo">
                    Questão {{ questao.questao_avaliacao.numero }} ({{ questao.questao.nota_maxima }} pontos)
                </h5>

                <div class="card-body">
                    {{ questao.questao.enunciado|safe }}

                    {% if questao.questao.numero_alternativas > 0 %}
                        {% for alternativa in questao.alternativas %}
                            <div class="card cartao">
                                <h5 class="card-header cartao-titulo">
                                    Alternativa ({{ alternativa.codigo }})
                                </h5>

                                <div class="card-body">
                                    {{ alternativa.enunciado|safe }}

                                    {% for form in correcoes %}
                                        {% if form.instance.alternativa.id == alternativa.id %}
                                            {% if questao.questao.tipo == questao.questao.TIPO_DISSERATIVA %}

                                                <ul class="list-group">
                                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                                        Resposta do estudante

                                                        {{ form.instance }}
                                                    </li>
                                                </ul>

                                            {% elif questao.questao.tipo == questao.questao.TIPO_VERDADEIRO_FALSO %}
                                                <ul class="list-group">
                                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                                        Resposta do estudante
                                                        {% if form.instance.resposta == alternativa.OPCAO_VERDADEIRO %}
                                                            <img src="{% static 'icones/certo.svg' %}" alt="VERDADEIRO" width="40px">
                                                        {% else %}
                                                            <img src="{% static 'icones/errado.svg' %}" alt="FALSO" width="40px">
                                                        {% endif %}
                                                    </li>
                                                    <li class="list-group-item d-flex justify-content-between align-items-center">
                                                        Resposta correta
                                                        {% if alternativa.resposta_correta == alternativa.OPCAO_VERDADEIRO %}
                                                            <img src="{% static 'icones/certo.svg' %}" alt="VERDADEIRO" width="40px">
                                                        {% else %}
                                                            <img src="{% static 'icones/errado.svg' %}" alt="FALSO" width="40px">
                                                        {% endif %}
                                                    </li>

                                                    {% if form.instance.resposta == alternativa.resposta_correta %}
                                                    <li class="list-group-item d-flex justify-content-between align-items-center bg-success text-light">
                                                        <b>Sugestão de correção: CERTO</b>
                                                    </li>
                                                    {% else %}
                                                    <li class="list-group-item d-flex justify-content-between align-items-center bg-danger text-light">
                                                        <b>Sugestão de correção: ERRADO</b>
                                                    </li>
                                                    {% endif %}
                                                </ul>

                                                <p style="margin-top: 10px">Anexos:</p>
                                                <ul class="list-group">
                                                {% for anexo in anexos %}
                                                    {% if anexo.resposta.alternativa.id == alternativa.id %}
                                                        <li class="list-group-item d-flex justify-content-between align-items-center">
                                                            <div class="text">
                                                            {% if anexo.tipo == anexo.TIPO_IMAGEM %}
                                                                <img src="{% static 'icones/imagem.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                            {% elif anexo.tipo == anexo.TIPO_CODIGO_FONTE %}
                                                                <img src="{% static 'icones/codigo.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                            {% elif anexo.tipo == anexo.TIPO_DOCUMENTO %}
                                                                <img src="{% static 'icones/documento.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                            {% elif anexo.tipo == anexo.TIPO_OUTROS %}
                                                                <img src="{% static 'icones/caixa.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                            {% endif %}
                                                            <a href="{{ anexo.arquivo.url }}">{{ anexo.nome_arquivo }}</a>
                                                            </div>
                                                        </li>
                                                    {% endif %}
                                                {% endfor %}
                                                </ul>
                                            {% endif %}

                                        </div>
                                        <div class="card-footer">
                                            {{ form|crispy }}
                                        </div>
                                        {% endif %}
                                    {% endfor %}

                            </div>
                        {% endfor %}

                    {# A questão não tem alternativas #}
                    {% else %}
                        {% for form in correcoes %}
                            {% if form.instance.alternativa.id == alternativa.id %}
                                {% if questao.questao.tipo == questao.questao.TIPO_DISSERATIVA %}
                                    <ul class="list-group">
                                        <li class="list-group-item d-flex justify-content-between align-items-center bg-secondary text-light">
                                            Resposta do estudante
                                        </li>
                                        <li class="list-group-item bg-light">
                                            {{ form.instance.conteudo|safe }}
                                        </li>
                                        <p style="margin-top: 10px">Anexos:</p>
                                        <ul class="list-group">
                                        {% for anexo in anexos %}
                                            {% if anexo.resposta.alternativa.id == alternativa.id %}
                                                <li class="list-group-item d-flex justify-content-between align-items-center">
                                                    <div class="text">
                                                    {% if anexo.tipo == anexo.TIPO_IMAGEM %}
                                                        <img src="{% static 'icones/imagem.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                    {% elif anexo.tipo == anexo.TIPO_CODIGO_FONTE %}
                                                        <img src="{% static 'icones/codigo.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                    {% elif anexo.tipo == anexo.TIPO_DOCUMENTO %}
                                                        <img src="{% static 'icones/documento.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                    {% elif anexo.tipo == anexo.TIPO_OUTROS %}
                                                        <img src="{% static 'icones/caixa.svg' %}" width="40px" class="mr-3 img-thumbnail">
                                                    {% endif %}
                                                    <a href="{{ anexo.arquivo.url }}">{{ anexo.nome_arquivo }}</a>
                                                    </div>
                                                </li>
                                            {% endif %}
                                        {% endfor %}
                                        </ul>
                                    </ul>

                                {% elif questao.questao.tipo == questao.questao.TIPO_VERDADEIRO_FALSO %}
                                {% endif %}

                                </div>
                                <div class="card-footer">
                                    {{ form|crispy }}
                                </div>
                            {% endif %}
                        {% endfor %}
                    {% endif %}
                </div>

    {% endfor %}

    </form>
</div>

{% endblock %}


{% block javascript %}

{% endblock %}
